Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515786 - Unable to delete stack
Summary: Unable to delete stack
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Eoghan Glynn
QA Contact: Joe H. Rahme
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 11:58 UTC by Eduard Barrera
Modified: 2018-02-06 15:34 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 15:34:30 UTC


Attachments (Terms of Use)

Description Eduard Barrera 2017-11-21 11:58:57 UTC
Description of problem:
Customer is not able to delete the stacks, these are some of the traces we can find in the logs. Customer claims that contrail as been engaged and they say it's heat problem:

2017-11-13 10:02:53.018 620730 INFO heat.engine.resource [req-9499b0d4-acd1-4364-a544-1d35482705d7 212c4c59f42b4acba3c75dc823d836e5 729fb180088941b597cc2cf12e0c729b - - -] DELETE: Server "FSB-1.13" [51b1a9e8-b26f-4464-8d0a-7c2bc6cf0c40] Stack "vSGSN-MME" [c2a336c8-93d5-48d6-8d9f-f847df7a774a]
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource Traceback (most recent call last):
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resource.py", line 763, in _action_recorder
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     yield
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resource.py", line 1679, in delete
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     *action_args)
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/scheduler.py", line 336, in wrapper
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     step = next(subtask)
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resource.py", line 810, in action_handler_task
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     handler_data = handler(*args)
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resources/openstack/nova/server.py", line 1539, in handle_delete
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     return self._delete()
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resources/openstack/nova/server.py", line 1524, in _delete
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     self.client_plugin().ignore_not_found(e)
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 342, in __call__
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     six.reraise(exc_type, exc_val, traceback)
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resources/openstack/nova/server.py", line 1522, in _delete
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     self.client().servers.delete(self.resource_id)
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/novaclient/v2/servers.py", line 1414, in delete
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     return self._delete("/servers/%s" % base.getid(server))
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/novaclient/base.py", line 365, in _delete
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     resp, body = self.api.client.delete(url)
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/keystoneauth1/adapter.py", line 202, in delete
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     return self.request(url, 'DELETE', **kwargs)
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/novaclient/client.py", line 178, in request
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource     raise exceptions.from_response(resp, body, url, method)
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource ClientException: Unexpected API Error. Please report this at http://bugs.launchpad.net/nova/ and attach the Nova API log if possible.
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource <class 'oslo_db.exception.DBError'> (HTTP 500) (Request-ID: req-30c6190a-cadb-4fbd-8c9d-052e0a253427)
2017-11-13 10:02:53.018 620730 ERROR heat.engine.resource


2017-11-20 12:43:13.763 11356 INFO heat.engine.resource [req-711e9e34-1e0d-4170-98f6-2812cf213fca 212c4c59f42b4acba3c75dc823d836e5 729fb180088941b597cc2cf12e0c729b - - -] delete ContrailVirtualMachineInterface "VSFO-2_VSFO-2_EXT-1_202" [68527f71-9837-45ef-89d3-4880f7baa441] Stack "vWMG-test" [bdc1df5c-d3a7-4a0b-bbdb-8064c4849661] attempt 1
2017-11-20 12:43:13.771 11353 INFO heat.engine.resource [req-711e9e34-1e0d-4170-98f6-2812cf213fca 212c4c59f42b4acba3c75dc823d836e5 729fb180088941b597cc2cf12e0c729b - - -] delete Server "VRP-22" [2e6ea399-0cfd-4ca4-bd94-e764053d59f7] Stack "vWMG-test" [bdc1df5c-d3a7-4a0b-bbdb-8064c4849661] attempt 1
2017-11-20 12:43:13.770 11358 INFO heat.engine.resource [req-711e9e34-1e0d-4170-98f6-2812cf213fca 212c4c59f42b4acba3c75dc823d836e5 729fb180088941b597cc2cf12e0c729b - - -] DELETE: ContrailVirtualMachineInterface "VSFO-1_VSFO-1_EXT-1_102" [ec22f47c-0464-4a7c-a9b4-036445540282] Stack "vWMG-test" [bdc1df5c-d3a7-4a0b-bbdb-8064c4849661]
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource Traceback (most recent call last):
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resource.py", line 763, in _action_recorder
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource     yield
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resource.py", line 1679, in delete
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource     *action_args)
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/scheduler.py", line 336, in wrapper
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource     step = next(subtask)
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resource.py", line 810, in action_handler_task
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource     handler_data = handler(*args)
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/contrail_heat/resources/contrail.py", line 20, in wrapper
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource     return func(self, *args, **kwargs)
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/vnc_api/gen/heat/resources/virtual_machine_interface_heat.py", line 1896, in handle_delete
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource     self._ignore_not_found(ex)
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/contrail_heat/resources/contrail.py", line 118, in _ignore_not_found
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource     raise ex
2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource RefsExistError: Delete when resource still referred: ['http://172.19.0.10:8082/bgp-as-a-service/d0e3b84b-4d04-43f3-8cb0-741e41df3dd7']

2017-11-20 12:43:13.770 11358 ERROR heat.engine.resource
2017-11-20 12:43:13.774 11355 INFO heat.engine.resource [req-711e9e34-1e0d-4170-98f6-2812cf213fca 212c4c59f42b4acba3c75dc823d836e5 729fb180088941b597cc2cf12e0c729b - - -] delete ContrailVirtualMachineInterface "VSFO-2_VSFO-2_EXT-1_201" [e131c1cc-79b2-4306-828e-39126c8f0bbd] Stack "vWMG-test" [bdc1df5c-d3a7-4a0b-bbdb-8064c4849661] attempt 1
2017-11-20 12:43:13.787 11359 INFO heat.engine.resource [req-711e9e34-1e0d-4170-98f6-2812cf213fca 212c4c59f42b4acba3c75dc823d836e5 729fb180088941b597cc2cf12e0c729b - - -] DELETE: ContrailVirtualMachineInterface "VSFO-1_VSFO-1_EXT-1_103" [403ca89b-7806-469b-92e7-294a412d4346] Stack "vWMG-test" [bdc1df5c-d3a7-4a0b-bbdb-8064c4849661]
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource Traceback (most recent call last):
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resource.py", line 763, in _action_recorder
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource     yield
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resource.py", line 1679, in delete
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource     *action_args)
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/scheduler.py", line 336, in wrapper
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource     step = next(subtask)
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/heat/engine/resource.py", line 810, in action_handler_task
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource     handler_data = handler(*args)
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/contrail_heat/resources/contrail.py", line 20, in wrapper
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource     return func(self, *args, **kwargs)
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/vnc_api/gen/heat/resources/virtual_machine_interface_heat.py", line 1896, in handle_delete
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource     self._ignore_not_found(ex)
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource   File "/usr/lib/python2.7/site-packages/contrail_heat/resources/contrail.py", line 118, in _ignore_not_found
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource     raise ex
2017-11-20 12:43:13.787 11359 ERROR heat.engine.resource RefsExistError: Delete when resource still referred: ['http://172.19.0.10:8082/bgp-as-a-service/48bd6acf-aa08-4efc-88b5-ae57ba7b32a4']

and more....


then

a253 Date: Mon, 20 Nov 2017 12:46:34 GMT
RESP BODY: {"server": {"OS-EXT-STS:task_state": "deleting", "addresses": {}, "links": [{"href": "http://10.92.231.251:8774/v2.1/servers/ab056ab0-8675-489a-afa2-59a92ab34196", "rel": "self"}, {"href": "http://10.92.231.251:8774/servers/ab056ab0-8675-489a-afa2-59a92ab34196", "rel": "bookmark"}], "image": {"id": "0a841a4c-63b1-4dd2-8d23-4a070082701c", "links": [{"href": "http://10.92.231.251:8774/images/0a841a4c-63b1-4dd2-8d23-4a070082701c", "rel": "bookmark"}]}, "OS-EXT-STS:vm_state": "error", "OS-EXT-SRV-ATTR:instance_name": "instance-0000030d", "OS-SRV-USG:launched_at": "2017-11-13T09:35:14.000000", "flavor": {"id": "0be48e30-dc78-45ee-9dee-b7101d02bffb", "links": [{"href": "http://10.92.231.251:8774/flavors/0be48e30-dc78-45ee-9dee-b7101d02bffb", "rel": "bookmark"}]}, "id": "ab056ab0-8675-489a-afa2-59a92ab34196", "user_id": "212c4c59f42b4acba3c75dc823d836e5", "OS-DCF:diskConfig": "MANUAL", "accessIPv4": "", "accessIPv6": "", "OS-EXT-STS:power_state": 1, "OS-EXT-AZ:availability_zone": "vepc1_traffic", "metadata": {"ha-policy": "managed-on-host"}, "status": "ERROR", "updated": "2017-11-20T12:46:31Z", "hostId": "a3ebc2f55e3d85ce02b36f2947a58ce459ee927e7d4ab2a3c87e2f83", "OS-EXT-SRV-ATTR:host": "overcloud-contraildpdk-6.localdomain", "OS-SRV-USG:terminated_at": null, "key_name": null, "OS-EXT-SRV-ATTR:hypervisor_hostname": "overcloud-contraildpdk-6.localdomain", "name": "vSGSN-MME-GPB-2.2", "created": "2017-11-13T09:32:59Z", "tenant_id": "729fb180088941b597cc2cf12e0c729b", "os-extended-volumes:volumes_attached": [],
 "fault": {"message": "Unavailable console type serial.", "code": 400, "created": "2017-11-13T12:44:29Z"}, "config_drive": "True"}}
 _http_log_response /usr/lib/python2.7/site-packages/keystoneauth1/session.py:390


Then after enabling debugf 

2017-11-20 12:46:45.961 525569 INFO heat.engine.stack [req-224321b9-1835-49c5-b4c7-79d4d12f7735 a296a0b741884afc966ffdf8f5a8ccc2 729fb180088941b597cc2cf12e0c729b - - -] Triggering resource 5464 for cleanup
2017-11-20 12:46:45.962 525569 DEBUG oslo_messaging._drivers.amqpdriver [req-224321b9-1835-49c5-b4c7-79d4d12f7735 a296a0b741884afc966ffdf8f5a8ccc2 729fb180088941b597cc2cf12e0c729b - - -] CAST unique_id: 31e7f506fb3d47d1a1fc22265d4e19fa exchange 'heat' topic 'engine_worker' _send /usr/lib/python2.7/site-packages/oslo_messaging/_drivers/amqpdriver.py:495
2017-11-20 12:46:45.963 525569 INFO heat.engine.stack [req-224321b9-1835-49c5-b4c7-79d4d12f7735 a296a0b741884afc966ffdf8f5a8ccc2 729fb180088941b597cc2cf12e0c729b - - -] Triggering resource 5463 for cleanup
2017-11-20 12:46:45.964 525569 DEBUG oslo_messaging._drivers.amqpdriver [req-224321b9-1835-49c5-b4c7-79d4d12f7735 a296a0b741884afc966ffdf8f5a8ccc2 729fb180088941b597cc2cf12e0c729b - - -] CAST unique_id: 9b2360c2626b4c9c95e1bc3e916cbd53 exchange 'heat' topic 'engine_worker' _send /usr/lib/python2.7/site-packages/oslo_messaging/_drivers/amqpdriver.py:495
2017-11-20 12:46:45.964 525568 DEBUG oslo_messaging._drivers.amqpdriver [-] received message with unique_id: 31e7f506fb3d47d1a1fc22265d4e19fa __call__ /usr/lib/python2.7/site-packages/oslo_messaging/_drivers/amqpdriver.py:215
2017-11-20 12:46:45.968 525575 DEBUG oslo_messaging._drivers.amqpdriver [-] received message with unique_id: 9b2360c2626b4c9c95e1bc3e916cbd53 __call__ /usr/lib/python2.7/site-packages/oslo_messaging/_drivers/amqpdriver.py:215
2017-11-20 12:46:46.003 525568 ERROR oslo_messaging.rpc.server [req-224321b9-1835-49c5-b4c7-79d4d12f7735 a296a0b741884afc966ffdf8f5a8ccc2 729fb180088941b597cc2cf12e0c729b - - -] Exception during message handling
2017-11-20 12:46:46.003 525568 ERROR oslo_messaging.rpc.server Traceback (most recent call last):
2017-11-20 12:46:46.003 525568 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/server.py", line 133, in _process_incoming
2017-11-20 12:46:46.003 525568 ERROR oslo_messaging.rpc.server     res = self.dispatcher.dispatch(message)
...
 ERROR oslo_messaging.rpc.server     result = context.session.query(models.RawTemplate).get(template_id)
2017-11-20 12:46:46.003 525568 ERROR oslo_messaging.rpc.server   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/query.py", line 831, in get
2017-11-20 12:46:46.003 525568 ERROR oslo_messaging.rpc.server     return self._get_impl(ident, loading.load_on_ident)
2017-11-20 12:46:46.003 525568 ERROR oslo_messaging.rpc.server   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/query.py", line 842, in _get_impl
2017-11-20 12:46:46.003 525568 ERROR oslo_messaging.rpc.server     if len(ident) != len(mapper.primary_key):
2017-11-20 12:46:46.003 525568 ERROR oslo_messaging.rpc.server TypeError: object of type 'NoneType' has no len()
2017-11-20 12:46:46.003 525568 ERROR oslo_messaging.rpc.server

...
1-20 12:46:46.006 525575 ERROR oslo_messaging.rpc.server     result = context.session.query(models.RawTemplate).get(template_id)
2017-11-20 12:46:46.006 525575 ERROR oslo_messaging.rpc.server   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/query.py", line 831, in get
2017-11-20 12:46:46.006 525575 ERROR oslo_messaging.rpc.server     return self._get_impl(ident, loading.load_on_ident)
2017-11-20 12:46:46.006 525575 ERROR oslo_messaging.rpc.server   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/query.py", line 842, in _get_impl
2017-11-20 12:46:46.006 525575 ERROR oslo_messaging.rpc.server     if len(ident) != len(mapper.primary_key):
2017-11-20 12:46:46.006 525575 ERROR oslo_messaging.rpc.server TypeError: object of type 'NoneType' has no len()
2017-11-20 12:46:46.006 525575 ERROR oslo_messaging.rpc.server


This error keeps aperaring and aperaing:

ESP BODY: {"server": {"OS-EXT-STS:task_state": "deleting", "addresses": {}, "links": [{"href": "http://10.92.231.251:8774/v2.1/servers/ab056ab0-8675-489a-afa2-59a92ab34196", "rel": "self"}, {"href": "http://10.92.231.251:8774/servers/ab056ab0-8675-489a-afa2-59a92ab34196", "rel": "bookmark"}], "image": {"id": "0a841a4c-63b1-4dd2-8d23-4a070082701c", "links": [{"href": "http://10.92.231.251:8774/images/0a841a4c-63b1-4dd2-8d23-4a070082701c", "rel": "bookmark"}]}, "OS-EXT-STS:vm_state": "error", "OS-EXT-SRV-ATTR:instance_name": "instance-0000030d", "OS-SRV-USG:launched_at": "2017-11-13T09:35:14.000000", "flavor": {"id": "0be48e30-dc78-45ee-9dee-b7101d02bffb", "links": [{"href": "http://10.92.231.251:8774/flavors/0be48e30-dc78-45ee-9dee-b7101d02bffb", "rel": "bookmark"}]}, "id": "ab056ab0-8675-489a-afa2-59a92ab34196", "user_id": "212c4c59f42b4acba3c75dc823d836e5", "OS-DCF:diskConfig": "MANUAL", "accessIPv4": "", "accessIPv6": "", "OS-EXT-STS:power_state": 1, "OS-EXT-AZ:availability_zone": "vepc1_traffic", "metadata": {"ha-policy": "managed-on-host"}, "status": "ERROR", "updated": "2017-11-20T12:46:31Z", "hostId": "a3ebc2f55e3d85ce02b36f2947a58ce459ee927e7d4ab2a3c87e2f83", "OS-EXT-SRV-ATTR:host": "overcloud-contraildpdk-6.localdomain", "OS-SRV-USG:terminated_at": null, "key_name": null, "OS-EXT-SRV-ATTR:hypervisor_hostname": "overcloud-contraildpdk-6.localdomain", "name": "vSGSN-MME-GPB-2.2", "created": "2017-11-13T09:32:59Z", "tenant_id": "729fb180088941b597cc2cf12e0c729b", "os-extended-volumes:volumes_attached": [], "fault": {"message": "Unavailable console type serial.", "code": 400, "created": "2017-11-13T12:44:29Z"}, "config_drive": "True"}}
 _http_log_response /usr/lib/python2.7/site-packages/keystoneauth1/session.py:390

{
    "server": {
        "OS-DCF:diskConfig": "MANUAL",
        "OS-EXT-AZ:availability_zone": "vepc1_traffic",
        "OS-EXT-SRV-ATTR:host": "overcloud-contraildpdk-6.localdomain",
        "OS-EXT-SRV-ATTR:hypervisor_hostname": "overcloud-contraildpdk-6.localdomain",
        "OS-EXT-SRV-ATTR:instance_name": "instance-0000030d",
        "OS-EXT-STS:power_state": 1,
        "OS-EXT-STS:task_state": "deleting",
        "OS-EXT-STS:vm_state": "error",
        "OS-SRV-USG:launched_at": "2017-11-13T09:35:14.000000",
        "OS-SRV-USG:terminated_at": null,
        "accessIPv4": "",
        "accessIPv6": "",
        "addresses": {},
        "config_drive": "True",
        "created": "2017-11-13T09:32:59Z",
        "fault": {
            "code": 400,
            "created": "2017-11-13T12:44:29Z",
            "message": "Unavailable console type serial."
        },
        "flavor": {
            "id": "0be48e30-dc78-45ee-9dee-b7101d02bffb",
            "links": [
                {
                    "href": "http://10.92.231.251:8774/flavors/0be48e30-dc78-45ee-9dee-b7101d02bffb",
                    "rel": "bookmark"
                }
            ]
        },
        "hostId": "a3ebc2f55e3d85ce02b36f2947a58ce459ee927e7d4ab2a3c87e2f83",
        "id": "ab056ab0-8675-489a-afa2-59a92ab34196",
        "image": {
            "id": "0a841a4c-63b1-4dd2-8d23-4a070082701c",
            "links": [
                {
                    "href": "http://10.92.231.251:8774/images/0a841a4c-63b1-4dd2-8d23-4a070082701c",
                    "rel": "bookmark"
                }
            ]
        },
        "key_name": null,
        "links": [
            {
                "href": "http://10.92.231.251:8774/v2.1/servers/ab056ab0-8675-489a-afa2-59a92ab34196",
                "rel": "self"
            },
            {
                "href": "http://10.92.231.251:8774/servers/ab056ab0-8675-489a-afa2-59a92ab34196",
                "rel": "bookmark"
            }
        ],
        "metadata": {
            "ha-policy": "managed-on-host"
        },
        "name": "vSGSN-MME-GPB-2.2",
        "os-extended-volumes:volumes_attached": [],
        "status": "ERROR",
        "tenant_id": "729fb180088941b597cc2cf12e0c729b",
        "updated": "2017-11-20T12:46:31Z",
        "user_id": "212c4c59f42b4acba3c75dc823d836e5"
    }
}

Version-Release number of selected component (if applicable):
OSP10

How reproducible:
Always

Steps to Reproduce:
1. Delete a stack
2.
3.

Actual results:
stack keeps delteting....

Expected results:
stack deleted

Additional info:

Comment 4 Zane Bitter 2017-11-21 18:55:40 UTC
> I tried to delete individual VM from the stack as well, but unfortunately it just shows as "DELETING" and does not go any further.

If you can't delete it from Nova then you won't be able to delete the stack.


Note You need to log in before you can comment on or make changes to this bug.